/*
 * cfracout.h: header for cfracout.cpp.
 */

/*
 * Functions that construct OutputGenerators for the various
 * continued-fraction based output modes.
 */
OutputGenerator *cfrac_output(Spigot *spig, bool oneline,
                              bool has_digitlimit, int digitlimit);
OutputGenerator *convergents_output(Spigot *spig,
                                    bool has_digitlimit, int digitlimit);
OutputGenerator *rational_output(Spigot *spig, bool has_digitlimit);
